Bug 5530 - Device autolock switches on the display
: Device autolock switches on the display
Status: REOPENED
Product: System software
Device lock
: 5.0:(20.2010.36-2)
: All Linux
: Low normal (vote)
: ---
Assigned To: unassigned
: device-lock-bugs
:
: use-time
:
:
  Show dependency tree
 
Reported: 2009-10-17 09:05 UTC by Lucas Maneos
Modified: 2010-10-27 17:07 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Lucas Maneos (reporter) 2009-10-17 09:05:10 UTC
SOFTWARE VERSION:
1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:
1. Enable device autolock after X (lower time-outs are obviously faster to
test, but should be higher than the backlight time-out Y).
2. Leave device alone for a while (>X).

EXPECTED OUTCOME:
Display switches off after after Y, device is silently locked after X.

ACTUAL OUTCOME:
Display switches off after after Y, device is locked after X, at which time the
display switches on again for another Y period.

REPRODUCIBILITY:
Always.
Comment 1 Andre Klapper maemo.org 2009-10-18 22:05:55 UTC
STEPS TO REPRODUCE THE PROBLEM:
1. Settings > Device Lock > Autolock == 5min
2. Settings > Display > Backlight time-out == 30sec
3. Wait for 5min

Confirming, and could not find anything about this in the Locks UI Spec.
Comment 2 Andre Klapper maemo.org 2010-01-12 18:07:22 UTC
This has been fixed in package
mce 1.8.102+0m5
which is part of the internal build version
2009.50-5
(Note: 2009 is the year, and the number after is the week. 2.2009.* versions
will not include this fix)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Lucas Maneos (reporter) 2010-01-24 16:28:54 UTC
*** Bug 8462 has been marked as a duplicate of this bug. ***
Comment 4 Andre Klapper maemo.org 2010-03-15 20:57:11 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 5 Lucas Maneos (reporter) 2010-07-06 20:25:35 UTC
*** Bug 10880 has been marked as a duplicate of this bug. ***
Comment 6 Lucas Maneos (reporter) 2010-07-06 20:27:17 UTC
Not fixed according to bug 10880...
Comment 7 Tobias Karnat 2010-07-06 20:31:59 UTC
*** Bug 10880 has been marked as a duplicate of this bug. ***
Comment 8 Tobias Karnat 2010-07-06 20:40:32 UTC
Sorry about the mess, first time that I use bugzilla.

I should note, that I also have disabled the screen lock.
Comment 9 Andre Klapper maemo.org 2010-08-30 17:43:40 UTC
Haven't seen this here.
Can anybody else confirm that this is still a problem in 10.2010.19-1?
Comment 10 Tobias Karnat 2010-08-30 19:43:47 UTC
(In reply to comment #9)
> Haven't seen this here.
> Can anybody else confirm that this is still a problem in 10.2010.19-1?

This _only_ happens if you disable the screen lock, the screen where you have
to swipe your finger from left to right.
Comment 11 Andre Klapper maemo.org 2010-09-01 14:10:31 UTC
(In reply to comment #10)
> This _only_ happens if you disable the screen lock, the screen where you have
> to swipe your finger from left to right.

How? (Steps?)
Comment 12 Tobias Karnat 2010-09-01 15:47:08 UTC
(In reply to comment #11)
> How? (Steps?)
https://bugs.maemo.org/show_bug.cgi?id=10880

EXACT STEPS LEADING TO PROBLEM: 
1. Go to Settings, SCREEN. Disable screen lock. Select 2 minutes for turn off.
2. Go to Settings, DEVICE LOCK. Select 5 minutes, enter lock code.
(3. Go to Settings, PHONE. Disable Sim lock.)
4. Wait n minutes
Comment 13 Andre Klapper maemo.org 2010-09-08 16:39:55 UTC
Removing int-143421 reference as it's handled as a separate issue...
Comment 14 Andre Klapper maemo.org 2010-10-11 17:31:56 UTC
Tobias:
What is the status of the physical keyboard when this happens? Is it opened?
Does it also happen when the physical keyboard is not opened?

"When keyboard is opened, autolock is disabled. So you saw blanked screen but
it
was not locked. It is why the device lock dialog made the display on when it
was activated.
That is expected behavior and not a regression. So in this scenario the bug is
INVALID. Please check and let me know if you agree."

(Note to myself: int-176746)
Comment 15 Tobias Karnat 2010-10-11 23:16:16 UTC
No, the keyboard is not opened and the device is also not connected with usb.
Comment 16 Andre Klapper maemo.org 2010-10-25 23:33:06 UTC
This still happens in 20.2010.36-2, I assume?
Comment 17 Tobias Karnat 2010-10-27 15:35:27 UTC
(In reply to comment #16)
> This still happens in 20.2010.36-2, I assume?
> 

Yes